rte_version.h(3)

NAME
rte_version.h

SYNOPSIS

#include <string.h>
#include <stdio.h>

  Macros

#define RTE_VERSION_NUM(a, b, c, d)
#define RTE_VERSION

  Functions

const char * rte_version_prefix (void)
unsigned int rte_version_year (void)
unsigned int rte_version_month (void)
unsigned int rte_version_minor (void)
const char * rte_version_suffix (void)
unsigned int rte_version_release (void)
const char * rte_version (void)

Detailed Description

Definitions of DPDK version numbers

Definition in file rte_version.h.

Macro Definition Documentation

  #define RTE_VERSION_NUM( a, b, c, d)
Value:
((a) << 24 | (b) << 16 | (c) << 8 | (d))

Macro to compute a version number usable for comparisons

Definition at line 23 of file rte_version.h.

  #define RTE_VERSION
Value:
            RTE_VERSION_NUM( \
            RTE_VER_YEAR, \
            RTE_VER_MONTH, \
            RTE_VER_MINOR, \
            RTE_VER_RELEASE)

All version numbers in one to compare with RTE_VERSION_NUM()

Definition at line 28 of file rte_version.h.

Function Documentation

  const char * rte_version_prefix (void )
Function to return DPDK version prefix string

  unsigned int rte_version_year (void )
Function to return DPDK version year

  unsigned int rte_version_month (void )
Function to return DPDK version month

  unsigned int rte_version_minor (void )
Function to return DPDK minor version number

  const char * rte_version_suffix (void )
Function to return DPDK version suffix for any release candidates

  unsigned int rte_version_release (void )
Function to return DPDK version release candidate value

  const char * rte_version (void )
Function returning version string

Returns
    DPDK version string

Author

Generated automatically by Doxygen for DPDK from the source code.